public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-cpp/libassa/
@ 2017-03-01 18:42 David Seifert
  0 siblings, 0 replies; only message in thread
From: David Seifert @ 2017-03-01 18:42 UTC (permalink / raw
  To: gentoo-commits

commit:     69663e78203244605a7cc78435ca20c496e9a108
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  1 18:41:38 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Mar  1 18:41:38 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69663e78

dev-cpp/libassa: Modernise to EAPI 6

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 ...libassa-3.5.1-r1.ebuild => libassa-3.5.1-r2.ebuild} | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/dev-cpp/libassa/libassa-3.5.1-r1.ebuild b/dev-cpp/libassa/libassa-3.5.1-r2.ebuild
similarity index 63%
rename from dev-cpp/libassa/libassa-3.5.1-r1.ebuild
rename to dev-cpp/libassa/libassa-3.5.1-r2.ebuild
index 81f5fb6d146..8d46aa4035e 100644
--- a/dev-cpp/libassa/libassa-3.5.1-r1.ebuild
+++ b/dev-cpp/libassa/libassa-3.5.1-r2.ebuild
@@ -1,8 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-inherit eutils
+EAPI=6
 
 DESCRIPTION="A networking library based on Adaptive Communication Patterns"
 HOMEPAGE="http://libassa.sourceforge.net/"
@@ -17,12 +16,10 @@ RDEPEND="net-libs/libtirpc"
 DEPEND="${RDEPEND}
 	doc? ( app-doc/doxygen )"
 
-DOCS=( AUTHORS ChangeLog NEWS README TODO )
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-3.5.0-fix-tests.patch \
-		"${FILESDIR}"/${P}-gcc47.patch
-}
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.5.0-fix-tests.patch
+	"${FILESDIR}"/${PN}-3.5.1-gcc47.patch
+)
 
 src_configure() {
 	econf \
@@ -32,5 +29,6 @@ src_configure() {
 
 src_install() {
 	default
-	find "${ED}" -name "*.la" -exec rm -rf {} + || die "failed to delete .la files"
+
+	find "${D}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-03-01 18:42 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-01 18:42 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/libassa/ David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox